apache flink statefun python sdk构建分发问题


0

我计划用python statefun示例( chaining接:https://github.com/apache/flink-statefun/tree/master/statefun-examples/statefun-python-greeter-example)

但是(总有一个But)我一直在努力构建python发行版。我想我的配置是正确的。

这就是我试图描述的错误

我的点子版本:19.2.3

我的 Python版本:3.7.5

pythonsdk安装程序说它的;

setup(
    name='apache-flink-statefun',
    version='2.1-SNAPSHOT',
    packages=["statefun"],
    url='https://github.com/apache/flink-statefun',
    license='https://www.apache.org/licenses/LICENSE-2.0',
    license_files=["LICENSE", "NOTICE"],
    author='Apache Software Foundation',
    author_email='dev@flink.apache.org',
    description='Python SDK for Apache Flink Stateful functions',
    long_description=long_description,
    long_description_content_type='text/markdown',
    install_requires=['protobuf>=3.11.3,<4.0.0'],
    tests_require=['pytest'],
    python_requires='>=3.5',
    classifiers=[
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7']
)

它说3.7python没问题。

你有什么想法吗?

谢谢。

1 答案


0

apacheflink运行时主要在JVM上实现,因此社区使用JVM版本控制方案。2.1-SNAPSHOT是主机上当前未发布的版本。它还没有发布给PyPi。

当前的稳定版本是2.0.0[1]。

我建议您看看文档,它反映了最新的稳定版本[2]。

[1]https://pypi.org/project/apache-flink-statefun/

[2]https://ci.apache.org/projects/flink/flink-statefun-docs-stable/


我来回答

写文章

提问题

面试题